Package org.springframework.security.access.intercept

# Class RunAsUserToken

java.lang.Object
org.springframework.security.authentication.AbstractAuthenticationToken
org.springframework.security.access.intercept.RunAsUserToken

All Implemented Interfaces:
  `Serializable`, `Principal`, `Authentication`, `CredentialsContainer`

@Deprecated public class RunAsUserToken extends AbstractAuthenticationToken
Deprecated.
Authentication is now separated from authorization in Spring Security. This class is only used by now-deprecated components. There is not yet an equivalent replacement in Spring Security.
An immutable `Authentication` implementation that supports `RunAsManagerImpl`.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RunAsUserToken(String key, Object principal, Object credentials, Collection<? extends GrantedAuthority> authorities, Class<? extends Authentication> originalAuthentication)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getCredentials()`
Deprecated.
The credentials that prove the principal is correct.
`int`
`getKeyHash()`
Deprecated.
`Class<? extends Authentication>`
`getOriginalAuthentication()`
Deprecated.
`Object`
`getPrincipal()`
Deprecated.
The identity of the principal being authenticated.
`String`
`toString()`
Deprecated.

### Methods inherited from class org.springframework.security.authentication.AbstractAuthenticationToken

`equals, eraseCredentials, getAuthorities, getDetails, getName, hashCode, isAuthenticated, setAuthenticated, setDetails`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### RunAsUserToken

public RunAsUserToken(String key, Object principal, Object credentials, Collection<? extends GrantedAuthority> authorities, Class<? extends Authentication> originalAuthentication)
Deprecated.

## Method Details

### getCredentials

public Object getCredentials()
Deprecated.
Description copied from interface: `Authentication`
The credentials that prove the principal is correct. This is usually a password, but could be anything relevant to the `AuthenticationManager`. Callers are expected to populate the credentials.

Returns:
  the credentials that prove the identity of the `Principal`

### getKeyHash

public int getKeyHash()
Deprecated.

### getOriginalAuthentication

public Class<? extends Authentication> getOriginalAuthentication()
Deprecated.

### getPrincipal

public Object getPrincipal()
Deprecated.
Description copied from interface: `Authentication`
The identity of the principal being authenticated. In the case of an authentication request with username and password, this would be the username. Callers are expected to populate the principal for an authentication request.

The `AuthenticationManager` implementation will often return an `Authentication` containing richer information as the principal for use by the application. Many of the authentication providers will create a `UserDetails` object as the principal.

Returns:
  the `Principal` being authenticated or the authenticated principal after authentication.

### toString

public String toString()
Deprecated.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `AbstractAuthenticationToken`